/*
    Project: TCTEMP
    Version: V1.20
    File   : na_debug.c

    Copyright (c) 2006-2010 Author of TCTEMP. All rights reserved.
    Public Key Fingerprint: 75EB 6BC2 01B7 F6E7 4BD7 CC58 4A5F C393 19EE 6E69

    Covered by TrueCrypt License 2.3 the full text of which is contained
    in the file License.txt included in TCTEMP binary and source code
    distribution archives.

    The copyright notice of this source code file and the public key
    fingerprint must be retained in full.
*/

#include "na_priv.h"

#if DEBUG

void NAAPI NaDbgAssertionFailed(PCWSTR pwszFile, ULONG ulLineNo)
{
    NaDbgPrintf(L"Assertion failed in %s line %ld", pwszFile, ulLineNo);
}

void NAAPI_CDECL NaDbgPrintfFunc(PCWSTR pcwszFormat, ...)
{
    va_list va;
    int     nSize;

    va_start(va, pcwszFormat);
    nSize = _vsnwprintf(g_pi.ppi->wszPrintfBuffer,
      countof(g_pi.ppi->wszPrintfBuffer), pcwszFormat, va);
    va_end(va);

    if (nSize > 0) {
        NaDbgPuts(g_pi.ppi->wszPrintfBuffer);
    }
}

void NAAPI NaDbgPutsFunc(PCWSTR pwszText)
{
    NaPuts(pwszText);
    NaPuts(L"\n");

    g_pi.ppi->fWaitBeforeExiting = TRUE;
}

#endif